Package gov.nasa.gsfc.sscweb.schema

# Class ExecuteOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.ExecuteOptions

public class ExecuteOptions extends Object
Query execution options. <p>Java class for ExecuteOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ExecuteOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="WaitForResult" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="ResultEmailAddress" type="{http://sscweb.gsfc.nasa.gov/schema}EmailAddress" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `resultEmailAddress`
  When WaitForResult is false, e-mail address where a "query complete" e-mail message is to be sent.
  `protected boolean`
  `waitForResult`
  Indicates whether the results are returned in the response to this request or whether the results become available at a later time.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecuteOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getResultEmailAddress()`
  When WaitForResult is false, e-mail address where a "query complete" e-mail message is to be sent.
  `boolean`
  `isWaitForResult()`
  Indicates whether the results are returned in the response to this request or whether the results become available at a later time.
  `void`
  `setResultEmailAddress(String value)`
  Sets the value of the resultEmailAddress property.
  `void`
  `setWaitForResult(boolean value)`
  Sets the value of the waitForResult property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### waitForResult

    protected boolean waitForResult
    Indicates whether the results are returned in the response to this request or whether the results become available at a later time. Currently, a value of "false" (and the corresponding ResultEmailAddress value below) is ignored. That is, a client must always wait on the result.

  - ### resultEmailAddress

    protected String resultEmailAddress
    When WaitForResult is false, e-mail address where a "query complete" e-mail message is to be sent.

- ## Constructor Details

  - ### ExecuteOptions

    public ExecuteOptions()

- ## Method Details

  - ### isWaitForResult

    public boolean isWaitForResult()
    Indicates whether the results are returned in the response to this request or whether the results become available at a later time. Currently, a value of "false" (and the corresponding ResultEmailAddress value below) is ignored. That is, a client must always wait on the result.

  - ### setWaitForResult

    public void setWaitForResult(boolean value)
    Sets the value of the waitForResult property.

  - ### getResultEmailAddress

    public String getResultEmailAddress()
    When WaitForResult is false, e-mail address where a "query complete" e-mail message is to be sent.
    Returns:
      possible object is `String`

  - ### setResultEmailAddress

    public void setResultEmailAddress(String value)
    Sets the value of the resultEmailAddress property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getResultEmailAddress()`